Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.proxy
Class Proxy

    java.lang.Object
      HttpPlugin
          scone.proxy.Proxy

    public class Proxy

extends HttpPlugin

the proxy class of the Scone framework. Internally, this class is actually a WBI plugin.

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected static java.util.Hashtable` | `rasServers`
`protected static SystemContext` | `systemContext`

Constructor Summary
`Proxy()`

Method Summary
`static void` | `addVirtualPath(java.lang.String web, java.lang.String fileSystem)` If RESOURCEGENERATOR is required, the proxy comes with a preinstalled GeneralResourceGenerator.
`void` | `initialize()` do not meddle with this method, it is internal!
`protected boolean` | `isRequired(int requirement)`
`void` | `terminate()` do not call this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### systemContext

    protected static SystemContext systemContext

### rasServers

    protected static java.util.Hashtable rasServers

Constructor Detail

### Proxy

    public Proxy()

Method Detail

### initialize

    public void initialize()

  do not meddle with this method, it is internal!

### addVirtualPath

    public static void addVirtualPath(java.lang.String web,
                                      java.lang.String fileSystem)

  If RESOURCEGENERATOR is required, the proxy comes with a preinstalled GeneralResourceGenerator. This method adds a mapping to this Generator.

  Parameters:
    `web` - see GeneralResourceGenerator.addPath()
    `fileSystem` - see GeneralResourceGenerator.addPath()

### isRequired

    protected boolean isRequired(int requirement)

### terminate

    public void terminate()
                   throws PluginException

  do not call this method. This is done by the WBI framework.

  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD